Bug 351921 - glibc 2.7 fails to build on i586 (duplicated symbols)
glibc 2.7 fails to build on i586 (duplicated symbols)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
rawhide
i586 Linux
low Severity low
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-25 04:47 EDT by Anton Guda
Modified: 2008-04-10 05:07 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-10 05:07:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log for rpmbuild as i586 (96.81 KB, text/plain)
2007-10-25 04:47 EDT, Anton Guda
no flags Details

  None (edit)
Description Anton Guda 2007-10-25 04:47:57 EDT
Description of problem:
If glibc 2.7-2 rebuilded as i386 - old ok.
If as i586 -- build failed, both as auxarch and not-auxarch.

Version-Release number of selected component (if applicable):
glibc-2.7-2

How reproducible:
always.

Steps to Reproduce:
1. rpmbuild -ba --target i386 glibc.spec --- all ok.
2. rpmbuild -ba --target i586 glibc.spec --- build failed, 
   error: multiple definition of `__memcpy_chk' .....
3. drop i586 from spec: %define auxarches i586 ...
    rpmbuild  --target i586 glibc.spec --- build failed, 
  
Actual results:
Build failed.

Expected results:
Build must be successful both for i386 and i586.

Additional info:
Most of packages I build as i586 or i686.
Comment 1 Anton Guda 2007-10-25 04:47:57 EDT
Created attachment 237171 [details]
log for rpmbuild as i586
Comment 2 Jakub Jelinek 2008-04-10 05:07:52 EDT
This has been fixed back on 2007-11-13, in glibc-2.7.90-1 and up.

Note You need to log in before you can comment on or make changes to this bug.